<?php

   include("../scripts/connect.php");
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
	 extract($_POST);
	 echo"<center><font size=\"5\"><b>Agregar Producto a Sistema</b><br><br></font>";
	if($lista2!="Agregar Producto"){

echo"<form name=\"Agrega2\" action=\"agregaprod.php\" method=\"post\">Favor de solo escribir n&uacute;meros para el precio y los puntos<br><br>
<table cellpadding=\"5\" cellspacing=\"5\">
								<tr><td>Descripci&oacute;n</td><td><input type=\"text\" name=\"producto\" value=\"\"></td>
								</tr>
								<tr><td>Precio $</td><td><input type=\"text\" name=\"precio\" value=\"\"></td>
								</tr>
								<tr><td>Puntos Sistema</td><td><input type=\"text\" name=\"puntos\" value=\"\"></td>
								</tr></table>

<input type=\"submit\" name=\"lista2\"  value=\"Agregar Producto\" /></form>
";}
else {
	
	
	if(is_numeric($precio) && is_numeric($puntos) && $producto!=null){
echo"Los datos capturados son los siguientes:<br><br>
Descripci&oacute;n del Producto: <b>$producto</b><br><br>
Precio del Producto: <b>$precio</b><br><br>
Puntos a generar en Sistema: <b>$puntos</b><br><br>
<form name=\"Agrega3\" action=\"agregaprod2.php\" method=\"post\">
<input type=hidden name=pro value=$producto />
<input type=hidden name=pre value=$precio />
<input type=hidden name=pun value=$puntos />
<input type=\"submit\" name=\"lista2\"  value=\"Dar de alta producto en sistema\" /></form>
";	}
else { echo"Existe un Error en la Captura<br>Favor de Intentar nuevamente";
}

}
?>